<?php
/**
 * @var User $logged_in_user
 */

try {
    require_once __DIR__ . "/../includes/ajax_protect.php";
    require_once __DIR__ . "/../includes/login.php";

    if (empty($_POST["mobileNumber"]) || empty($_POST["device"]) || empty($_POST["message"])) {
        throw new Exception(__("error_missing_fields"));
    } else {
        $mobileNumbers = explode(",", $_POST["mobileNumber"]);
        $number = "";
        $totalNumbers = count($mobileNumbers);
        foreach ($mobileNumbers as $mobileNumber) {
            if (isValidMobileNumber($mobileNumber)) {
                if ($totalNumbers > 1) {
                    $number .= "&number[]=" . urlencode($mobileNumber);
                } else {
                    $number = "&number=" . urlencode($mobileNumber);
                }
            } else {
                throw new Exception(__("error_use_valid_number"));
            }
        }
        $message = urlencode($_POST["message"]);
        $device = $_POST["device"];
        if (isset($_POST["sim"]) && $_POST["sim"] !== "") {
            $device .= "|{$_POST["sim"]}";
        }

        $queryString = "key={$logged_in_user->getApiKey()}{$number}&message={$message}&devices={$device}";
        if (isset($_POST["type"]) && ($_REQUEST["type"] === "sms" || $_REQUEST["type"] === "mms")) {
            $queryString .= "&type={$_POST["type"]}";
            if ($_POST["type"] === "mms") {
                if (!empty($_POST["attachments"])) {
                    $attachments = Message::isValidAttachments($_POST["attachments"]);
                    $attachments = urlencode($attachments);
                    $queryString .= "&attachments={$attachments}";
                }
            }
        }

        echo json_encode([
            "result" => getServerURL() . "/services/send.php?{$queryString}"
        ]);
    }
} catch (Throwable $t) {
    echo json_encode(array(
        'error' => $t->getMessage()
    ));
} catch (Exception $e) {
    echo json_encode([
        "error" => $e->getMessage()
    ]);
}
