<?php

try {
    require_once __DIR__ . "/../includes/ajax_protect.php";
    require_once __DIR__ . "/../includes/login.php";

    if (isset($_REQUEST["contactsListID"]) && ctype_digit($_REQUEST["contactsListID"])) {
        if (ContactsList::getContactsList($_REQUEST["contactsListID"], $_SESSION["userID"])) {
            $contacts = Contact::where('contactsListID', $_REQUEST["contactsListID"])->read_all(false);
            $data = [];
            foreach ($contacts as $contact) {
                $row = [];
                $row[] = "<label><input type='checkbox' name='contacts[]' class='remove-contacts' onchange='toggleRemove()' value='{$contact->getToken()}'></label>";
                $row[] = htmlentities($contact->getName(), ENT_QUOTES);
                $row[] = $contact->getNumber();
                $row[] = $contact->getSubscribed() ? "<i class='fa fa-check'></i>" : "<i class='fa fa-close'></i>";
                $data[] = $row;
            }
        }
    }

    echo json_encode([
        "data" => $data
    ]);
} catch (Throwable $t) {
    echo json_encode(array(
        'error' => $t->getMessage()
    ));
} catch (Exception $e) {
    echo json_encode([
        "error" => $e->getMessage()
    ]);
}
