<?php
/**
 * @var User $logged_in_user
 */

try {
    require_once __DIR__ . "/../includes/ajax_protect.php";
    require_once __DIR__ . "/../includes/login.php";

    $user = $logged_in_user;
    if (isset($_GET["user"]) && $_GET["user"] != $_SESSION["userID"] && $_SESSION["isAdmin"]) {
        $user = User::getById($_GET["user"]);
    }
    $devices = $user->getDevices(false);
    $data = [];
    foreach ($devices as $device) {
        $row = [];
        if (isset($_COOKIE["DEVICE_ID"]) && $device->getID() == $_COOKIE["DEVICE_ID"]) {
            $row[] = "<label><input type='checkbox' name='devices[]' class='remove-devices' value='{$device->getID()}' disabled='disabled'></label>";
        } else {
            $row[] = "<label><input type='checkbox' name='devices[]' class='remove-devices' value='{$device->getID()}'></label>";
        }
        $name = is_null($device->getName()) ? 'null' : "'" . htmlentities($device->getName(), ENT_QUOTES) . "'";
        if ($user->getID() == $logged_in_user->getID()) {
            $row[] = "<a href=\"#devices\" onclick=\"editDevice({$name}, {$device->getID()})\">" . htmlentities(strval($device), ENT_QUOTES) . "&nbsp;<i class=\"fa fa-edit\"></i></a>";
        } else {
            $row[] = htmlentities(strval($device), ENT_QUOTES);
        }
        $row[] = htmlentities($device->getModel(), ENT_QUOTES);
        $row[] = $device->getAndroidVersion() != null ? $device->getAndroidVersion() : __("null_value");
        $row[] = $device->getAppVersion() != null ? $device->getAppVersion() : __("null_value");
        $row[] = Message::where("Message.deviceID", $device->getID())
            ->where("Message.userID", $user->getID())
            ->count();
        $row[] = $device->getEnabled() ? '<label class="label label-success">' . __("connected") . '</label>' : '<label class="label label-danger">' . __("disconnected") . '</label>';
        $data[] = $row;
    }

    echo json_encode([
        "data" => $data
    ]);
} catch (Throwable $t) {
    echo json_encode(array(
        'error' => $t->getMessage()
    ));
} catch (Exception $e) {
    echo json_encode([
        "error" => $e->getMessage()
    ]);
}

