<?php
/**
 * @var User $logged_in_user
 */

try {
    require_once __DIR__ . "/../includes/ajax_protect.php";
    require_once __DIR__ . "/../includes/login.php";

    if (isset($_FILES['file']['tmp_name']) && is_uploaded_file($_FILES['file']['tmp_name'])) {
        if (isset($_POST["listID"]) && ctype_digit($_POST["listID"])) {
            if (ContactsList::getContactsList($_POST["listID"], $_SESSION["userID"])) {
                require_once __DIR__ . "/../includes/read-excel.php";
                $count = 0;
                MysqliDb::getInstance()->startTransaction();
                $totalContacts = Contact::where('ContactsList.userID', $logged_in_user->getID())->count();
                foreach ($spreadsheet->getAllSheets() as $sheet) {
                    $data = $sheet->toArray();
                    $totalContacts += count($data);
                    if ($logged_in_user->getContactsLimit() != null && $logged_in_user->getContactsLimit() <= $totalContacts) {
                        throw new Exception(__("error_contacts_limit_reached"));
                    }
                    foreach ($data as $row) {
                        if (count($row) >= 2) {
                            $number = sanitize($row[1]);
                            if (isValidMobileNumber($number)) {
                                $contact = new Contact();
                                $contact->setNumber($number);
                                $contact->setContactsListID($_POST["listID"]);
                                if (!$contact->read()) {
                                    if (isset($row[1])) {
                                        $name = sanitize($row[0]);
                                        if ($name !== "") {
                                            $contact->setName($name);
                                        }
                                    }
                                    $contact->setToken(random_str(7));
                                    $contact->save();
                                    $count++;
                                }
                            }
                        }
                    }
                }
                MysqliDb::getInstance()->commit();
                if ($count > 0) {
                    $success = $count > 1 ? __("success_contacts_saved", ["count" => $count]) : __("success_contact_saved", ["count" => $count]);
                    echo json_encode(array(
                        'result' => $success
                    ));
                } else {
                    throw new Exception(__("error_no_contacts_found"));
                }
            }
        }
    } else {
        echo json_encode(
            array("error" => __("error_uploading_excel_file"))
        );
    }
} catch (Throwable $t) {
    echo json_encode(array(
        'error' => $t->getMessage()
    ));
} catch (Exception $e) {
    echo json_encode(array(
        "error" => $e->getMessage()
    ));
} finally {
    if (isset($fileName) && file_exists($fileName)) {
        unlink($fileName);
    }
}