<?php

try {
    require_once __DIR__ . "/../includes/ajax_protect.php";
    require_once __DIR__ . "/../includes/login.php";

    if ($_SESSION["isAdmin"]) {
        if (isset($_POST["application_title"])) {
            User::isValidDelay($_POST["default_delay"]);
            $uploads = ["logo_src", "favicon_src"];
            foreach ($uploads as $upload) {
                if (isset($_FILES[$upload]['tmp_name']) && is_uploaded_file($_FILES[$upload]['tmp_name'])) {
                    $tempPath = $_FILES[$upload]['tmp_name'];
                    $filename = basename($_FILES[$upload]['name']);
                    $fileExtension = pathinfo($_FILES[$upload]['name'], PATHINFO_EXTENSION);
                    $allowed_extensions = ["png", "jpg", "jpeg", 'ico'];
                    if (!in_array($fileExtension, $allowed_extensions)) {
                        throw new Exception(__("error_blocked_file_extension"));
                    }
                    $uploadDirectory = __DIR__ . "/../uploads";
                    if (is_dir($uploadDirectory) || mkdir($uploadDirectory, 0755)) {
                        if (move_uploaded_file($tempPath, "{$uploadDirectory}/{$filename}")) {
                            $_POST[$upload] = "uploads/{$filename}";
                        } else {
                            throw new Exception(__("error_uploading_logo"));
                        }
                    }
                }
            }
            $oldPaypalClientID = Setting::get("paypal_client_id");
            $oldPaypalSecret = Setting::get("paypal_secret");
            Setting::apply($_POST);
            if (!empty($_POST["paypal_enabled"]) && !empty($_POST["paypal_client_id"]) && !empty($_POST["paypal_secret"])) {
                if ($oldPaypalClientID != $_POST["paypal_client_id"] || $oldPaypalSecret != $_POST["paypal_secret"]) {
                    PayPal::createProduct();
                    PayPal::createWebHook(["PAYMENT.SALE.COMPLETED"], sprintf("%s/webhooks/payment-sale-completed.php", getServerURL()));
                    PayPal::createWebHook(["BILLING.SUBSCRIPTION.CANCELLED"], sprintf("%s/webhooks/billing-subscription-cancelled.php", getServerURL()));
                    $plans = Plan::read_all();
                    foreach ($plans as $plan) {
                        $plan->setPaypalPlanID(PayPal::createPlan($plan));
                        $plan->save();
                    }
                }
            }

            echo json_encode([
                "result" => __("success_save_settings")
            ]);
        }
    }
} catch (Throwable $t) {
    echo json_encode(array(
        'error' => $t->getMessage()
    ));
} catch (Exception $e) {
    echo json_encode([
        "error" => $e->getMessage()
    ]);
}
