<?php
/**
 * @var User $logged_in_user
 */

try {
    require_once __DIR__ . "/../includes/ajax_protect.php";
    require_once __DIR__ . "/../includes/login.php";

    if (empty($_POST["name"])) {
        throw new Exception(__("error_name_empty"));
    } else {
        $logged_in_user->setName($_POST["name"]);
        $logged_in_user->setDelay($_POST["delay"]);
        $logged_in_user->setReportDelivery(isset($_POST["reportDelivery"]) ? 1 : 0);
        $logged_in_user->setAutoRetry(isset($_POST["autoRetry"]) ? 1 : 0);
        $logged_in_user->setSmsToEmail(isset($_POST["smsToEmail"]) ? 1 : 0);
        $logged_in_user->setTimeZone($_POST["timezone"]);
        if (isset($_POST["language"]) && file_exists(__DIR__ . "/../resources/lang/{$_POST["language"]}.php")) {
            $logged_in_user->setLanguage($_POST["language"]);
        }
        $logged_in_user->save();
        $_SESSION["name"] = $_POST["name"];
        $_SESSION["timeZone"] = $logged_in_user->getTimeZone();
        echo json_encode([
            "result" => __("success_settings_changed")
        ]);
    }
} catch (Throwable $t) {
    echo json_encode(array(
        'error' => $t->getMessage()
    ));
} catch (Exception $e) {
    echo json_encode(array(
        'error' => $e->getMessage()
    ));
}

