<?php

class Contact extends Entity
{
    public $name;

    public $number;

    public $subscribed;

    public $contactsListID;

    public $token;

    public $contactsList;

    public static $relations = [
        "ContactsList" => ["ID", "contactsListID"]
    ];

    public function __construct()
    {
        $this->contactsList = new ContactsList();
    }

    /**
     * @return string
     */
    public function getName()
    {
        return $this->name;
    }

    /**
     * @param string $name
     */
    public function setName($name)
    {
        $this->name = $name;
    }

    /**
     * @return string
     */
    public function getNumber()
    {
        return $this->number;
    }

    /**
     * @param string $number
     */
    public function setNumber($number)
    {
        $this->number = $number;
    }

    /**
     * @return int
     */
    public function getContactsListID()
    {
        return $this->contactsListID;
    }

    /**
     * @param int $contactsListID
     */
    public function setContactsListID($contactsListID)
    {
        $this->contactsListID = $contactsListID;
    }

    /**
     * @return bool
     */
    public function getSubscribed()
    {
        return $this->subscribed;
    }

    /**
     * @param bool $subscribed
     */
    public function setSubscribed($subscribed)
    {
        $this->subscribed = $subscribed;
    }

    /**
     * @return string
     */
    public function getToken()
    {
        return $this->token;
    }

    /**
     * @param string $token
     */
    public function setToken($token)
    {
        $this->token = $token;
    }

    public function getMessage($message)
    {
        $vars = [
            "%name%" => $this->getName(),
            "%token%" => $this->getToken()
        ];
        foreach ($vars as $var => $value) {
            $message = str_ireplace($var, $value, $message);
        }
        return $message;
    }

    /**
     * @return ContactsList
     */
    public function getContactsList()
    {
        return $this->contactsList;
    }

    /**
     * @param ContactsList $contactList
     */
    public function setContactsList($contactsList)
    {
        $this->contactsList = $contactsList;
    }
}