<?php


class Job extends Entity
{
    public $function;

    public $arguments;

    /**
     * @return string
     */
    public function getFunction()
    {
        return $this->function;
    }

    /**
     * @param string $function
     */
    public function setFunction($function)
    {
        $this->function = $function;
    }

    /**
     * @return array
     */
    public function getArguments()
    {
        return json_decode($this->arguments);
    }

    /**
     * @param array $arguments
     */
    public function setArguments($arguments)
    {
        $this->arguments = json_encode($arguments);
    }

    public function execute() {
        return call_user_func_array($this->getFunction(), $this->getArguments());
    }

    /**
     * @param string $function
     * @param array $arguments
     * @throws Exception
     */
    public static function queue($function, $arguments) {
        $job = new Job();
        $job->setFunction($function);
        $job->setArguments($arguments);
        $job->save();
    }
}