<?php

class Payment extends Entity
{
    public $subscriptionID;

    public $amount;

    public $transactionFee;

    public $currency;

    public $dateAdded;

    public $userID;

    public $status;

    public $transactionID;

    public $subscription;

    public static $relations = [
        "Subscription" => ["ID", "subscriptionID"]
    ];

    public function __construct()
    {
        $this->subscription = new Subscription();
    }

    /**
     * @return string
     */
    public function getStatus()
    {
        return $this->status;
    }

    /**
     * @param string $status
     */
    public function setStatus($status)
    {
        $this->status = $status;
    }

    /**
     * @return int
     */
    public function getSubscriptionID()
    {
        return $this->subscriptionID;
    }

    /**
     * @param int $subscriptionID
     */
    public function setSubscriptionID($subscriptionID)
    {
        $this->subscriptionID = $subscriptionID;
    }

    /**
     * @return int
     */
    public function getAmount()
    {
        return $this->amount;
    }

    /**
     * @param int $amount
     */
    public function setAmount($amount)
    {
        $this->amount = $amount;
    }

    /**
     * @return int
     */
    public function getTransactionFee()
    {
        return $this->transactionFee;
    }

    /**
     * @param float $transactionFee
     */
    public function setTransactionFee($transactionFee)
    {
        $this->transactionFee = round($transactionFee);
    }

    /**
     * @return DateTime
     */
    public function getDateAdded()
    {
        return getDisplayTime($this->dateAdded);
    }

    /**
     * @param string $dateAdded
     */
    public function setDateAdded($dateAdded)
    {
        $this->dateAdded = $dateAdded;
    }

    /**
     * @return string
     */
    public function getTransactionID()
    {
        return $this->transactionID;
    }

    /**
     * @param string $transactionID
     */
    public function setTransactionID($transactionID)
    {
        $this->transactionID = $transactionID;
    }

    /**
     * @return int
     */
    public function getUserID()
    {
        return $this->userID;
    }

    /**
     * @param int $userID
     */
    public function setUserID($userID)
    {
        $this->userID = $userID;
    }

    /**
     * @return string
     */
    public function getCurrency()
    {
        return $this->currency;
    }

    /**
     * @param string $currency
     */
    public function setCurrency($currency)
    {
        $this->currency = $currency;
    }

    /**
     * @return Subscription
     */
    public function getSubscription()
    {
        return $this->subscription;
    }

    /**
     * @param Subscription $subscription
     */
    public function setSubscription($subscription)
    {
        $this->subscription = $subscription;
    }

    public function refund()
    {
        if ($this->getSubscription()->getPaymentMethod() === "PayPal") {
            PayPal::refundPayment($this->getTransactionID());
        }
        $this->setStatus("REFUNDED");
        $this->save();
    }
}