<?php

class Plan extends Entity
{
    public $name;

    public $devices;

    public $contacts;

    public $credits;

    public $price;

    public $currency;

    public $frequency;

    public $frequencyUnit;

    public $totalCycles;

    public $paypalPlanID;

    public $enabled;

    /**
     * @return string
     */
    public function getName()
    {
        return $this->name;
    }

    /**
     * @param string $name
     */
    public function setName($name)
    {
        $this->name = $name;
    }

    /**
     * @return int
     */
    public function getPrice()
    {
        return (int)$this->price;
    }

    /**
     * @param int $price
     */
    public function setPrice($price)
    {
        $this->price = $price;
    }

    /**
     * @return string
     */
    public function getCurrency()
    {
        return $this->currency;
    }

    /**
     * @param string $currency
     */
    public function setCurrency($currency)
    {
        $this->currency = $currency;
    }

    /**
     * @return int
     */
    public function getFrequency()
    {
        return (int)$this->frequency;
    }

    /**
     * @param int $frequency
     */
    public function setFrequency($frequency)
    {
        $this->frequency = $frequency;
    }

    /**
     * @return string
     */
    public function getFrequencyUnit()
    {
        return $this->frequencyUnit;
    }

    /**
     * @param string $frequencyUnit
     */
    public function setFrequencyUnit($frequencyUnit)
    {
        $this->frequencyUnit = $frequencyUnit;
    }

    /**
     * @return int
     */
    public function getDevices()
    {
        if (isset($this->devices)) {
            return (int)$this->devices;
        }
        return null;
    }

    /**
     * @param int $devices
     */
    public function setDevices($devices)
    {
        $this->devices = $devices;
    }

    /**
     * @return int|null
     */
    public function getContacts()
    {
        if (isset($this->contacts)) {
            return (int)$this->contacts;
        }
        return null;
    }

    /**
     * @param int $contacts
     */
    public function setContacts($contacts)
    {
        $this->contacts = $contacts;
    }

    /**
     * @return int|null
     */
    public function getCredits()
    {
        if (isset($this->credits)) {
            return (int)$this->credits;
        }
        return null;
    }

    /**
     * @param int $credits
     */
    public function setCredits($credits)
    {
        $this->credits = $credits;
    }

    /**
     * @return int
     */
    public function getTotalCycles()
    {
        return $this->totalCycles;
    }

    /**
     * @param int $totalCycles
     */
    public function setTotalCycles($totalCycles)
    {
        $this->totalCycles = $totalCycles;
    }

    /**
     * @return string
     */
    public function getPaypalPlanID()
    {
        return $this->paypalPlanID;
    }

    /**
     * @param string $paypalPlanID
     */
    public function setPaypalPlanID($paypalPlanID)
    {
        $this->paypalPlanID = $paypalPlanID;
    }

    /**
     * @return boolean
     */
    public function getEnabled()
    {
        return $this->enabled;
    }

    /**
     * @param boolean $enabled
     */
    public function setEnabled($enabled)
    {
        $this->enabled = $enabled;
    }

    public function getFrequencyInSeconds()
    {
        return PayPal::getSecondsFromCycle($this->getFrequency(), $this->getFrequencyUnit());
    }
}