<?php

class Setting extends Entity
{
    public $name;

    public $value;

    private static $all;

    /**
     * @return string
     */
    public function getName()
    {
        return $this->name;
    }

    /**
     * @param string $name
     */
    public function setName($name)
    {
        $this->name = $name;
    }

    /**
     * @return string
     */
    public function getValue()
    {
        return $this->value;
    }

    /**
     * @param string $value
     */
    public function setValue($value)
    {
        $this->value = $value;
    }

    /**
     * @return array
     * @throws Exception
     */
    public static function all()
    {
        if (isset(self::$all)) {
            return self::$all;
        } else {
            $settings = Setting::read_all();
            self::$all = [];
            foreach ($settings as $setting) {
                self::$all[$setting->getName()] = $setting->getValue();
            }
            return self::$all;
        }
    }

    /**
     * @param string $name
     * @return string
     * @throws Exception
     */
    public static function get($name)
    {
        global $lang;
        $settings = self::all();
        if (isset($settings[$name])) {
            return $settings[$name];
        } else {
            if (isset($lang[$name])) {
                return $lang[$name];
            }
            return "";
        }
    }

    /**
     * @param array $data
     * @param bool $overwrite
     * @throws Exception
     */
    public static function apply($data, $overwrite = true)
    {
        $startedTransaction = MysqliDb::getInstance()->startTransaction();
        foreach ($data as $entryName => $entryValue) {
            $setting = new Setting();
            $setting->setName($entryName);
            if ($setting->read() && $overwrite === false) {
                continue;
            }
            $setting->setValue($entryValue);
            $setting->save();
        }
        if ($startedTransaction) {
            MysqliDb::getInstance()->commit();
            if (isset(self::$all)) {
                foreach ($data as $name => $value) {
                    self::$all[$name] = $value;
                }
            }
        }
    }
}