<?php

class Sim extends Entity
{
    public $name;

    public $carrier;

    public $country;

    public $iccID;

    public $number;

    public $slot;

    public $deviceID;

    public $enabled;

    public $device;

    public static $relations = [
        "Device" => ["ID", "deviceID"]
    ];

    public function __construct()
    {
        $this->device = new Device();
    }

    /**
     * @return string
     */
    public function getName()
    {
        return $this->name;
    }

    /**
     * @param string $name
     */
    public function setName($name)
    {
        $this->name = $name;
    }

    /**
     * @return string
     */
    public function getCarrier()
    {
        return $this->carrier;
    }

    /**
     * @param string $carrier
     */
    public function setCarrier($carrier)
    {
        $this->carrier = $carrier;
    }

    /**
     * @return string
     */
    public function getCountry()
    {
        return $this->country;
    }

    /**
     * @param string $country
     */
    public function setCountry($country)
    {
        $this->country = $country;
    }

    /**
     * @return string
     */
    public function getIccID()
    {
        return $this->iccID;
    }

    /**
     * @param string $iccID
     */
    public function setIccID($iccID)
    {
        $this->iccID = $iccID;
    }

    /**
     * @return string
     */
    public function getNumber()
    {
        return $this->number;
    }

    /**
     * @param string $number
     */
    public function setNumber($number)
    {
        $this->number = $number;
    }

    /**
     * @return int
     */
    public function getSlot()
    {
        return $this->slot;
    }

    /**
     * @param int $slot
     */
    public function setSlot($slot)
    {
        $this->slot = $slot;
    }

    /**
     * @return int
     */
    public function getDeviceID()
    {
        return $this->deviceID;
    }

    /**
     * @param int $deviceID
     */
    public function setDeviceID($deviceID)
    {
        $this->deviceID = $deviceID;
    }

    /**
     * @return bool
     */
    public function getEnabled()
    {
        return $this->enabled;
    }

    /**
     * @param bool $enabled
     */
    public function setEnabled($enabled)
    {
        $this->enabled = $enabled;
    }

    public function __toString()
    {
        $simIndex = $this->getSlot() + 1;
        if (!empty($this->getNumber())) {
            $name = $this->getNumber();
        } else if (!empty($this->getName())) {
            $name = $this->getName();
        } else if (!empty($this->getCarrier())) {
            $name = $this->getCarrier();
        }
        if (isset($name)) {
            return "SIM #{$simIndex} [{$name}]";
        } else {
            return "SIM #{$simIndex}";
        }
    }

    /**
     * @param stdClass $object
     * @return Sim
     */
    public static function fromObject(stdClass $object)
    {
        $sim = new Sim();
        foreach ($object as $property => $value) {
            $sim->$property = $value;
        }
        return $sim;
    }

    /**
     * @param null|int $userID
     * @return array
     * @throws Exception
     */
    public static function getSims($userID = null)
    {
        $objects = Sim::where("Sim.enabled", true);
        if (isset($userID)) {
            $objects->where("Device.userID", $userID);
        }
        $objects = $objects->read_all();
        $sims = [];
        foreach ($objects as $sim) {
            $sims[$sim->getDeviceID()][$sim->getSlot()] = strval($sim);
        }
        return $sims;
    }
}