<?php
require_once __DIR__ . "/../config.php";
require_once __DIR__ . "/../vendor/autoload.php";

date_default_timezone_set(TIMEZONE);

if (isset($_POST["groupId"])) {
    try {
        MysqliDb::getInstance()->startTransaction();
        $messages = Message::where("groupId", $_POST["groupId"])->where("status", "Pending")->read_all(false);
        foreach ($messages as $message) {
            $message->setStatus("Queued");
            $message->setDeliveredDate(date("Y-m-d H:i:s"));
            $message->save();
        }
        MysqliDb::getInstance()->commit();
        if (!empty($messages) && Setting::get("pusher_enabled")) {
            $user = new User();
            $user->setID($messages[0]->getUserID());
            if ($user->read()) {
                $where = $user->getIsAdmin() ? "" : " WHERE Message.userID = {$user->getID()}";
                $query = "SELECT COUNT(IF(Message.status = 'Scheduled', 1, NULL)) as totalScheduled, COUNT(IF(Message.status = 'Pending', 1, NULL)) as totalPending, COUNT(IF(Message.status = 'Queued', 1, NULL)) as totalQueued, deviceID FROM Message" . $where . " GROUP BY deviceID";
                $counts = MysqliDb::getInstance()->rawQuery($query);
                sendPusherNotification("user-{$user->getApiKey()}", "messages-queued", $counts);
            }
        }
        $response =
            [
                "success" => true,
                "data" => [
                    "messages" => $messages
                ],
                "message" => null
            ];
        echo json_encode($response);
    } catch (Exception $exception) {
        $response = ["success" => false, "data" => null, "error" => ["code" => 500, "message" => $exception->getMessage()]];
    }
}