<?php
require_once __DIR__ . "/../config.php";
require_once __DIR__ . "/../vendor/autoload.php";

date_default_timezone_set(TIMEZONE);

try {
    require_once __DIR__ . "/../includes/get-user.php";
    if (isset($user)) {
        if ($user) {
            if ($user->getIsAdmin()) {
                $messages = new Message();
            } else {
                $messages = Message::where("userID", $user->getID());
            }
            if (isset($_REQUEST["groupId"])) {
                $messages = $messages->where("groupId", $_REQUEST["groupId"]);
            }
            if (isset($_REQUEST["id"])) {
                $messages = $messages->where("ID", $_REQUEST["id"]);
            }
            if (isset($_REQUEST["status"])) {
                $messages = $messages->where("status", $_REQUEST["status"]);
            }
            if (isset($_REQUEST["startTimestamp"])) {
                $messages = $messages->where("sentDate", date("Y-m-d H:i:s", $_REQUEST["startTimestamp"]), ">=");
            }
            if (isset($_REQUEST["endTimestamp"])) {
                $messages = $messages->where("sentDate", date("Y-m-d H:i:s", $_REQUEST["endTimestamp"]), "<=");
            }
            $messages = $messages->read_all();
            if (count($messages) > 0) {
                Message::resend($messages, $user);
                echo json_encode(["success" => true, "data" => ["messages" => $messages], "error" => null]);
                die;
            } else {
                echo json_encode(["success" => false, "data" => null, "error" => ["code" => 404, "message" => __("no_messages_found")]]);
                die;
            }
        } else {
            echo json_encode(["success" => false, "data" => null, "error" => ["code" => 401, "message" => isset($_REQUEST["key"]) ? __("error_incorrect_api_key") : __("error_incorrect_credentials")]]);
            die;
        }
    }
    echo json_encode(["success" => false, "data" => null, "error" => ["code" => 400, "message" => __("error_invalid_request_format")]]);
} catch (Exception $e) {
    echo json_encode(["success" => false, "data" => null, "error" => ["code" => 500, "message" => $e->getMessage()]]);
}
