<?php
require_once __DIR__ . "/../includes/session.php";

if (isset($_POST["androidId"]) && isset($_POST["userId"])) {
    try {
        $device = new Device();
        $device->setAndroidID($_POST["androidId"]);
        $device->setUserID($_POST["userId"]);
        $device->setEnabled(1);
        if ($device->read()) {
            if (isset($_POST["sims"])) {
                $device->saveSims(json_decode($_POST["sims"]));
            }
            $device->user->setLastLogin(date('Y-m-d H:i:s'));
            if (empty($device->user->getPrimaryDeviceID())) {
                $device->user->setPrimaryDeviceID($device->getID());
            }
            $device->user->save();
            $_SESSION["userID"] = $device->user->getID();
            $_SESSION["email"] = $device->user->getEmail();
            $_SESSION["name"] = $device->user->getName();
            $_SESSION["isAdmin"] = $device->user->getIsAdmin();
            $_SESSION["timeZone"] = $device->user->getTimeZone();
            session_commit();
            $response =
                [
                    "success" => true,
                    "data" => [
                        "sessionId" => get_cookie(APP_SESSION_NAME),
                        "device" => $device,
                    ],
                    "message" => null
                ];
            echo json_encode($response);
            die;
        } else {
            $errorCode = 401;
            $error = __("error_device_not_found");
        }
    } catch (Exception $exception) {
        $errorCode = 500;
        $error = $exception->getMessage();
    }
    $response = ["success" => false, "data" => null, "error" => ["code" => $errorCode, "message" => $error]];
    echo json_encode($response);
}