<?php
require_once __DIR__ . "/../config.php";
require_once __DIR__ . "/../vendor/autoload.php";

if (isset($_POST["androidId"]) && isset($_POST["token"]) && isset($_POST["userId"])) {
    try {
        $device = new Device();
        $device->setAndroidID($_POST["androidId"]);
        $device->setUserID($_POST["userId"]);
        if ($device->read()) {
            $device->setToken($_POST["token"]);
            $device->setEnabled(1);
            if ($device->user->getPrimaryDeviceID() == 0) {
                $device->user->setPrimaryDeviceID($device->getID());
            }
            $device->save();
            $response = ["success" => true, "data" => ["device" => $device], "error" => null];
            echo json_encode($response);
            die;
        } else {
            $errorCode = 401;
            $error = __("error_device_not_found");
        }
    } catch (Exception $exception) {
        $errorCode = 500;
        $error = $exception->getMessage();
    }
    $response = ["success" => false, "data" => null, "error" => ["code" => $errorCode, "message" => $error]];
    echo json_encode($response);
}